<?php
/**
 * @package SJ Slick Slider for  HikaShop
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;

JHtml::stylesheet('modules/' . $module->module . '/assets/css/sj-slickslider.css');
JHtml::stylesheet('modules/' . $module->module . '/assets/css/slickslider-font-color.css');
JHtml::stylesheet('modules/' . $module->module . '/assets/css/fxsmall.css');
if (!defined('SMART_JQUERY') && $params->get('include_jquery', 0) == "1") {
	JHtml::script('modules/' . $module->module . '/assets/js/jquery-1.8.2.min.js');
	JHtml::script('modules/' . $module->module . '/assets/js/jquery-noconflict.js');
	define('SMART_JQUERY', 1);
}
JHtml::script('modules/' . $module->module . '/assets/js/jcarousel.js');
JHtml::script('modules/' . $module->module . '/assets/js/jquery.cj-swipe.js');

ImageHelper::setDefault($params);
$start = (int)$params->get('start', '1');
if ($start < 1 || $start > count($list)) {
	$start = 1;
}

$pause_hover = ($params->get('pause_hover') == 'hover') ? 'hover' : '';
$interval = (int)$params->get('interval', '4000');
$effect = ($params->get('effect') == 1) ? ' slide' : '';

if ($params->get('play') != 1) {
	$interval = 0;
} else {
	$interval = $params->get('interval', 5000);
}

$pag_position = $params->get('button_position', 'conner-bl');
$pag_type = in_array($params->get('button_theme', 'num'), array('num', 'number')) ? 'type-num' : 'type-dot';
$slick_slider_background = $params->get('theme', 'theme1') == 'theme1' ? 'bg-style1' : 'bg-style2';
?>
<?php if ($params->get('pretext') != '') { ?>
	<div class="text-block">
		<?php echo $params->get('pretext'); ?>
	</div>
<?php } ?>
<div id="sj-slickslider<?php echo $module->id; ?>"
     class="sj-slickslider   <?php echo $effect ?> <?php echo 'slickslider-' . $params->get('item_image_position'); ?>"
     data-interval="<?php echo $interval ?>" data-pause="<?php echo $pause_hover ?>">
	<!-- Slickslider items -->
	<div class="slickslider-items <?php echo $slick_slider_background ?>">
		<?php
		$k = 1;
		foreach ($list as $item) {

			$condition = (int)$params->get('display_votes',1) || (int)$params->get('display_add_to_cart',1) || (int)$params->get('display_add_to_wishlist',1);
			if($condition) include JModuleHelper::getLayoutPath($module->module, $layout.'_others');

			if ($k == $start) {
				$active = 'active';
			} else $active = '';
			$k++;
			?>
			<div class="slickslider-item item cf <?php echo $active; ?> ">
				<?php $img = HKSlickSliderHelper::getPHKImage($item, $params); ?>

				<?php if ($img) { ?>
					<div class="item-image">
						<div class="item-image-inner">
							<a href="<?php echo $item->link; ?>"
							   title="<?php echo $item->title; ?>" <?php echo HKSlickSliderHelper::parseTarget($params->get('item_link_target')); ?> >
								<?php echo HKSlickSliderHelper::imageTag($img); ?>
							</a>
						</div>
					</div>
				<?php } ?>

				<div class="item-content <?php if (!$img) {
					echo 'no-images';
				} ?>">
					<div class="item-content-inner">

						<?php if ((int)$params->get('item_title_display', 1)) { ?>
							<div class="item-title">
								<a href="<?php echo $item->link; ?>"
								   title="<?php echo $item->title; ?>" <?php echo HKSlickSliderHelper::parseTarget($params->get('item_link_target')); ?> >
									<?php echo HKSlickSliderHelper::truncate($item->title, $params->get('item_title_max_characs', 25)); ?>
								</a>
							</div>
						<?php } ?>

						<?php if((int)$params->get('display_votes',1)) { ?>
							<div class="item-votes">
								<?php echo $minivotes;?>
							</div>
						<?php } ?>

						<?php if ((int)$params->get('item_prices_display', 1) && !empty($item->_price)) { ?>
							<div class="item-prices">
									<span class="item-price">
										<?php echo $item->_price; ?>
									</span>
								<?php if ((int)$params->get('item_per_unit_display', 1)) { ?>
									<span class="item-per-unit">
										<?php echo JText::_('PER_UNIT'); ?>
									</span>
								<?php } ?>
							</div>
						<?php } ?>

						<?php if((int)$params->get('display_add_to_cart',1) || (int)$params->get('display_add_to_wishlist',1) ) { ?>
							<div class="item-btn-add">
								<?php  echo $btn_add;  ?>
							</div>
						<?php } ?>

						<?php if ((int)$params->get('item_desc_display', 1) && $item->description != '') { ?>
							<div class="item-description">
								<?php echo HKSlickSliderHelper::truncate($item->description, $params->get('item_desc_max_characs', 100)); ?>
							</div>
						<?php } ?>

						<?php if ($params->get('item_detail_display') == 1) { ?>
							<div class="item-detail">
								<a href="<?php echo $item->link; ?>"
								   title="<?php echo $item->title; ?>" <?php echo HKSlickSliderHelper::parseTarget($params->get('item_link_target')); ?> >
									<?php echo $params->get('item_detail_text'); ?>
								</a>
							</div>
						<?php } ?>
					</div>
				</div>
			</div>
		<?php } ?>
	</div>

	<!-- Slickslider nav -->
	<div class="nav-pagination <?php echo $pag_position ?> <?php echo $slick_slider_background; ?>">
		<ul class="<?php echo $pag_type; ?>">
			<li class="left" href="#sj-slickslider<?php echo $module->id ?>" data-jslide="prev"></li>
			<?php for ($i = 0; $i < count($list); $i++) {
				if ($i + 1 == $start) {
					$sel = 'sel';
				} else $sel = '';
				?>
				<li class="pag-item <?php echo $sel; ?>" href="#sj-slickslider<?php echo $module->id ?>"
				    data-jslide="<?php echo $i ?>"><span><?php echo $i + 1; ?></span></li>
			<?php } ?>
			<li class="right" href="#sj-slickslider<?php echo $module->id ?>" data-jslide="next"></li>
		</ul>
	</div>
</div>

<script>
	//<![CDATA[
	jQuery(document).ready(function ($) {
		$('#sj-slickslider<?php echo $module->id; ?>').each(function () {
			var $this = $(this), options = options = !$this.data('modal') && $.extend({}, $this.data());
			$this.jcarousel(options);

			$this.bind('jslide', function (e) {
				var index = $(this).find(e.relatedTarget).index();
				// process for nav
				$('[data-jslide]').each(function () {
					var $nav = $(this), $navData = $nav.data(), href, $target = $($nav.attr('data-target') || (href = $nav.attr('href')) && href.replace(/.*(?=#[^\s]+$)/, ''));
					if (!$target.is($this)) return;
					if (typeof $navData.jslide == 'number' && $navData.jslide == index) {
						$nav.addClass('sel');
					} else {
						$nav.removeClass('sel');
					}
				});
			});
			<?php if($params->get('swipe_enable') == 1) {	?>
			$this.touchSwipeLeft(function () {
					$this.jcarousel('next');
				}
			);
			$this.touchSwipeRight(function () {
					$this.jcarousel('prev');
				}
			);
			<?php } ?>
		});
		return;
	});
	//]]>
</script>

<?php if ($params->get('posttext') != '') { ?>
	<div class="text-block">
		<?php echo $params->get('posttext'); ?>
	</div>
<?php } ?>

